package nft.cos;

public class CreateSecretResp {
    String tempSecretId;
    String tempSecretKey;
    String sessionToken;
    String uploadAddress;

    public CreateSecretResp() {
    }

    public CreateSecretResp(String tempSecretId, String tempSecretKey, String sessionToken, String uploadAddress) {
        this.tempSecretId = tempSecretId;
        this.tempSecretKey = tempSecretKey;
        this.sessionToken = sessionToken;
        this.uploadAddress = uploadAddress;
    }

    @Override
    public String toString() {
        return "CreateSecretResp{" +
                "tempSecretId='" + tempSecretId + '\'' +
                ", tempSecretKey='" + tempSecretKey + '\'' +
                ", sessionToken='" + sessionToken + '\'' +
                ", uploadAddress='" + uploadAddress + '\'' +
                '}';
    }

    public String getTempSecretId() {
        return tempSecretId;
    }

    public void setTempSecretId(String tempSecretId) {
        this.tempSecretId = tempSecretId;
    }

    public String getTempSecretKey() {
        return tempSecretKey;
    }

    public void setTempSecretKey(String tempSecretKey) {
        this.tempSecretKey = tempSecretKey;
    }

    public String getSessionToken() {
        return sessionToken;
    }

    public void setSessionToken(String sessionToken) {
        this.sessionToken = sessionToken;
    }

    public String getUploadAddress() {
        return uploadAddress;
    }

    public void setUploadAddress(String uploadAddress) {
        this.uploadAddress = uploadAddress;
    }
}
